/****************************************************************************
 *
 * Project: -----
 *
 * Copyright by Olimex Ltd. All rights reserved.
 *
 * File: gsm.h
 * Description: Very simple GSM AT command handler.
 * Developer: Dimitar Dimitrov ( dinuxbg,gmail.com )
 *
 * Last change: $Date: 2009-03-25 13:48:21 +0200 (Wed, 25 Mar 2009) $
 * Revision: $Revision: 29 $
 * Id: $Id: gsm.h 658 2009-03-25 11:48:21Z dimitar $
 *
 ****************************************************************************/

#ifndef GSM_H
#define GSM_H

#include <stddef.h>
#include <stdint.h>
#include <stdbool.h>

#ifdef __cplusplus
extern "C" {
#endif


struct gsm_notifications {
	void (*ring)(void);
	void (*clip)(const char *phonenum);
};

struct gsm_battery_status {
	/** Battery charge status. */
	enum {
		GSM_BAT_NOT_CHARGING,
		GSM_BAT_CHARGING,
		GSM_BAT_CHARGING_FINISHED
	} bcs;
	/** Battery charge percentage level. */
	int bcl;
	/** Battery voltage, mV. */
	int voltage_mv;
};

extern struct gsm_notifications gsm_callbacks;

extern void gsm_poll(void);
extern void gsm_init(void);
extern int gsm_check_sanity(void);
extern int gsm_get_battery_perc(struct gsm_battery_status *st);
extern int gsm_send_sms(const char *phonenum, const char *text);


#ifdef __cplusplus
}
#endif

#endif	/* GSM_H */

