/****************************************************************************
 *
 * Project: ----
 *
 * Copyright by Olimex Ltd. All rights reserved.
 *
 * File: utils.c
 * Description: Generic useful functions.
 * Developer: Dimitar Dimitrov ( dinuxbg,gmail.com )
 *
 * Last change: $Date: 2008-07-22 12:58:39 +0300 (Tue, 22 Jul 2008) $
 * Revision: $Revision: 29 $
 * Id: $Id: utils.h 371 2008-07-22 09:58:39Z dimitar $
 *
 ****************************************************************************/

#include <assert.h>
#include <errno.h>
#include <string.h>

#include "utils.h"

volatile int critical_section_counter;

char *strnext(char **sp, const char *delim)
{
	char *tk = *sp;
	char *p;

	if(*sp) {
		p = strpbrk(tk, delim);
		if(p) {
			/* found delimiter */
			if(*p) {
				*sp = p+1;
			} else {
				*sp = 0; /* nothing ahead, so terminate */
			}
			*p = '\0';	/* terminate on the delimiter */
		} else {
			tk = 0;		/* not found */
		}
	}
	return tk;
}



